## ros-one-moveit-ros-perception 1.1.16-49jammy.20251208.0841

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-49jammy.20251208.0841) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 08:41:37 +0000
