## ros-one-moveit-ros-perception 1.1.16-49noble.20251208.1516

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-49noble.20251208.1516) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 15:16:45 +0000
