## ros-one-moveit-ros-perception 1.1.16-50jammy.20260128.2208

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-50jammy.20260128.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 22:08:14 +0000
