## ros-one-moveit-ros-perception 1.1.16-50noble.20260128.2217

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-50noble.20260128.2217) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 22:17:06 +0000
