## ros-one-moveit-ros-perception 1.1.16-51noble.20260301.2153

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-51noble.20260301.2153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:53:43 +0000
