=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libeigen3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-geometric-shapes, ros-one-image-transport, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-moveit-ros-planning, ros-one-nodelet, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-perception
